Bug 1565181 - [HE] - Logging should be improved for not reachable interfaces/hosts.
Summary: [HE] - Logging should be improved for not reachable interfaces/hosts.
Keywords:
Status: NEW
Alias: None
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General
Version: 2.2.15
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.5.0
: ---
Assignee: Asaf Rachmani
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 14:43 UTC by Nikolai Sednev
Modified: 2020-08-13 15:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Integration
sbonazzo: ovirt-4.5?


Attachments (Terms of Use)
sosreport from puma18 (9.94 MB, application/x-xz)
2018-04-09 15:45 UTC, Nikolai Sednev
no flags Details
sosreport from the engine (9.34 MB, application/x-xz)
2018-04-09 15:45 UTC, Nikolai Sednev
no flags Details

Description Nikolai Sednev 2018-04-09 14:43:17 UTC
Description of problem:
Logging should be improved for such cases as appears bellow:

Prepare environment as such:
Host with two VLANs, VLAN1 native, VLAN2 should be tagged.
DNS points the engine in VLAN2 to unreachable IP of host's NIC within VLAN1, deployment should be done in VLAN2.


Over tagged VLAN it fails, with this error:
Deployed over NFS.
[ INFO  ] changed: [localhost]
[ INFO  ] TASK [include_tasks]
[ INFO  ] ok: [localhost]
[ INFO  ] TASK [Obtain SSO token using username/password credentials]
[ INFO  ] ok: [localhost]
[ INFO  ] TASK [Check for the local bootstrap VM]
[ INFO  ] ok: [localhost]
[ INFO  ] TASK [Make the engine aware that the external VM is stopped]
[ INFO  ] TASK [Wait for the local bootstrap VM to be down at engine eyes]
[ ERROR ] fatal: [localhost]: FAILED! => {"ansible_facts": {"ovirt_vms": [{"affinity_labels": [], "applications": [], "bios": {"boot_menu": {"enabled": false}}, "cdroms": [], "cluster": {"href": "/ovirt-engine/api/clusters/8ad5d0f2-374c-11e8-b5a6-00163eeeeee1", "id": "8ad5d0f2-374c-11e8-b5a6-00163eeeeee1"}, "cpu": {"architecture": "x86_64", "topology": {"cores": 1, "sockets": 4, "threads": 1}}, "cpu_profile": {"href": "/ovirt-engine/api/cpuprofiles/58ca604e-01a7-003f-01de-000000000250", "id": "58ca604e-01a7-003f-01de-000000000250"}, "cpu_shares": 0, "creation_time": "2018-04-03 17:41:22.135000+03:00", "delete_protected": false, "disk_attachments": [], "display": {"address": "127.0.0.1", "allow_override": false, "copy_paste_enabled": true, "disconnect_action": "LOCK_SCREEN", "file_transfer_enabled": true, "monitors": 1, "port": 5900, "single_qxl_pci": false, "smartcard_enabled": false, "type": "vnc"}, "graphics_consoles": [], "high_availability": {"enabled": false, "priority": 0}, "host": {"href": "/ovirt-engine/api/hosts/ac45012e-8613-489a-8e91-be32743125b6", "id": "ac45012e-8613-489a-8e91-be32743125b6"}, "host_devices": [], "href": "/ovirt-engine/api/vms/b9cd99f2-f703-4dd9-94b0-b5aa29eecbc1", "id": "b9cd99f2-f703-4dd9-94b0-b5aa29eecbc1", "io": {"threads": 0}, "katello_errata": [], "large_icon": {"href": "/ovirt-engine/api/icons/21b0241c-e1eb-c9e8-42ae-7e01aca5ea1d", "id": "21b0241c-e1eb-c9e8-42ae-7e01aca5ea1d"}, "memory": 17179869184, "memory_policy": {"guaranteed": 17179869184, "max": 17179869184}, "migration": {"auto_converge": "inherit", "compressed": "inherit"}, "migration_downtime": -1, "name": "external-HostedEngineLocal", "next_run_configuration_exists": false, "nics": [], "numa_nodes": [], "numa_tune_mode": "interleave", "origin": "external", "original_template": {"href": "/ovirt-engine/api/templates/00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000"}, "os": {"boot": {"devices": ["hd"]}, "type": "other"}, "permissions": [], "placement_policy": {"affinity": "migratable"}, "quota": {"id": "9cd0b006-374c-11e8-b0f0-00163eeeeee1"}, "reported_devices": [], "run_once": false, "sessions": [], "small_icon": {"href": "/ovirt-engine/api/icons/8f625bad-06e9-b023-40bd-bbef504d58a1", "id": "8f625bad-06e9-b023-40bd-bbef504d58a1"}, "snapshots": [], "sso": {"methods": [{"id": "guest_agent"}]}, "start_paused": false, "stateless": false, "statistics": [], "status": "unknown", "storage_error_resume_behaviour": "auto_resume", "tags": [], "template": {"href": "/ovirt-engine/api/templates/00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000"}, "time_zone": {"name": "Etc/GMT"}, "type": "desktop", "usb": {"enabled": false}, "watchdogs": []}]}, "attempts": 24, "changed": false}
[ ERROR ] Failed to execute stage 'Closing up': Failed executing ansible-playbook
[ INFO  ] Stage: Clean up
[ INFO  ] Cleaning temporary resources
[ INFO  ] TASK [Gathering Facts]
[ INFO  ] ok: [localhost]
[ INFO  ] TASK [include_tasks]
[ INFO  ] ok: [localhost]
[ INFO  ] TASK [Remove local vm dir]
[ INFO  ] changed: [localhost]
[ INFO  ] Generating answer file '/var/lib/ovirt-hosted-engine-setup/answers/answers-20180403175704.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Hosted Engine deployment failed: please check the logs for the issue, fix accordingly or re-deploy from scratch.
          Log file is located at /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-20180403172943-sse552.log

Version-Release number of selected component (if applicable):
rhvm-appliance-4.2-20180401.0.el7.noarch.rpm
ovirt-hosted-engine-ha-2.2.9-1.el7ev.noarch
ovirt-hosted-engine-setup-2.2.15-1.el7ev.noarch
Linux 3.10.0-862.el7.x86_64 #1 SMP Wed Mar 21 18:14:51 EDT 2018 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.5 (Maipo)

Engine inside the appliance:
ovirt-engine-setup-base-4.2.2.6-0.1.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1.Deploy Node 0 from VLAN2 interface.

Actual results:
Error does not provide any meaningful information about the cause of failure.

Expected results:
Error should provide meaningful information and hints.

Additional info:

Comment 1 Nikolai Sednev 2018-04-09 14:44:15 UTC
This bug had been opened from https://bugzilla.redhat.com/show_bug.cgi?id=1562787 data.

Comment 2 Nikolai Sednev 2018-04-09 15:44:18 UTC
Ansible log and others can be found within the attachments.

Comment 3 Nikolai Sednev 2018-04-09 15:45:19 UTC
Created attachment 1419383 [details]
sosreport from puma18

Comment 4 Nikolai Sednev 2018-04-09 15:45:56 UTC
Created attachment 1419384 [details]
sosreport from the engine

Comment 5 Nikolai Sednev 2018-04-09 15:53:04 UTC
My only thought about such issues is that engine should check if DNS resolution of the host actually matching with NIC IP on which deployment is done, if IP resolved from DNS does not match with the NIC on which SHE being deployed, then customer should be warned and deployment should be stopped.


Note You need to log in before you can comment on or make changes to this bug.